Bug 469673 - Review request: perl-File-ShareDir-PAR - same functionality as File::ShareDir with PAR support
Review request: perl-File-ShareDir-PAR - same functionality as File::ShareDir...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stepan Kasal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-03 08:10 EST by Marcela Mašláňová
Modified: 2008-11-24 03:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-24 03:14:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kasal: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2008-11-03 08:10:56 EST
DESCRIPTION:
File::ShareDir::PAR provides the same functionality as File::ShareDir but tries hard to be compatible with PAR packaged applications. The problem is, that the concept of having a distribution or module specific share directory becomes a little hazy when you're loading everything from a single file. PAR uses an @INC hook to intercept any attempt to load a module. File::ShareDir uses the directory structure that is typically found in the directories that are listed in @INC for storing the shared data. In a PAR enviroment, this is not necessarily possible.

http://mmaslano.fedorapeople.org/perl-File-ShareDir-PAR/perl-File-ShareDir-PAR-0.02-1.fc10.src.rpm
http://mmaslano.fedorapeople.org/perl-File-ShareDir-PAR/perl-File-ShareDir-PAR.spec
Comment 1 Jason Tibbitts 2008-11-03 11:18:29 EST
We have scripts that parse these review requests.  I ask again: please use the template or at least use the same format as other review tickets.
Comment 2 Stepan Kasal 2008-11-06 09:22:08 EST
Jason, I suppose you mean
https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&format=extras-review
right?
Comment 3 Jason Tibbitts 2008-11-06 09:37:14 EST
Yes, or simply use the same format. Isn't the goal to have the packages reviewed quickly?  I can't imagine why someone would want to differ needlessly, since it only complicates things for any automated processes we might have and thus slows things down.
Comment 4 Stepan Kasal 2008-11-07 10:36:28 EST
OK  source files match upstream:
    sha256sum: 1f528cd3fe2086b14f2992c4525a5cd697fb53c7cc8505bf5adeb78793e40b18
OK  package meets naming and versioning guidelines.
OK  specfile is properly named, is cleanly written and uses macros consistently.
OK  dist tag is present.
OK  build root is correct.
OK  license field matches the actual license.
OK  license is open source-compatible.
OK  license text included in package.
OK  latest version is being packaged.
OK  BuildRequires are proper.
OK  %clean is present.
OK  package builds in mock.
OK  package installs properly.
OK  no debuginfo package
OK  rpmlint is silent.
BAD final provides and requires are sane -- see below
OK  %check is present and all tests pass:
      t/01_compile........ok
      t/02_without_par....ok
      t/03_with_par.......ok
      All tests successful.
      Files=3, Tests=60,  2 wallclock secs
      Result: PASS
OK  no shared libraries
OK  owns the directories it creates.
BAD owns directories created by perl-File-ShareDir; please replace
      %{perl_vendorlib}/*
    with
      %{perl_vendorlib}/File/ShareDir
      %{perl_vendorlib}/auto/share/*/File-ShareDir-PAR
OK  no duplicates in %files.
OK  file permissions are appropriate.
OK  no scriptlets present.
OK  code, not content.
OK  documentation is small, so no -docs subpackage is necessary.
OK  %docs are not necessary for the proper functioning of the package.
OK  no headers.  no pkgconfig files.  no libtool .la droppings.
OK  no desktop files

There are three redundant manual requires:
Requires:       perl(Class::Inspector) >= 1.12
Requires:       perl(File::ShareDir)
Requires:       perl(Params::Util) >= 0.07
But all there requires are also detected automatically.
To add the version requirements, I suggest to patch PAR.rpm this way:
sed -i "
s/^use Params::Util  *'/use Params::Util 0.07 '/
s/^use Class::Inspector  *()/use Class::Inspector 1.12 ()/
" lib/File/ShareDir/PAR.pm
Comment 5 Jason Tibbitts 2008-11-07 10:58:10 EST
Please remember to set the fedora-review flag when you're reviewing a package.
Comment 6 Marcela Mašláňová 2008-11-18 10:08:41 EST
Please see new version 
http://mmaslano.fedorapeople.org/perl-File-ShareDir-PAR/perl-File-ShareDir-PAR-0.02-2.fc10.src.rpm
http://mmaslano.fedorapeople.org/perl-File-ShareDir-PAR/perl-File-ShareDir-PAR.spec

I apologize for wrong format. I was using what firefox offers in history :(
Comment 7 Stepan Kasal 2008-11-18 10:17:12 EST
The above changes has been incorporated, except the sed command patching
File/ShareDir/PAR.pm, which really belongs upstream, not to the patch.

APPROVED
Comment 8 Marcela Mašláňová 2008-11-19 03:02:40 EST
New Package CVS Request
=======================
Package Name: perl-File-ShareDir-PAR
Short Description: same functionality as File::ShareDir (compatible with PAR)
Owners: mmaslano
Branches: devel, F-10
InitialCC: fedora-perl-devel-list@redhat.com
Comment 9 Kevin Fenzi 2008-11-22 23:30:42 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.